
local t=0
local step = math.pi/3

local shaderCode = [[
	extern number time;
	extern number step;
	number mod( number a, number b)
	{
		return a - floor(a/b) * b;
	}
	number distance( number x1, number y1, number x2, number y2)
	{
		return sqrt((x1-x2)*(x1-x2)+(y1-y2)*(y1-y2));
	}
	vec4 effect( vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords )
	{
		if(mod(atan(screen_coords.y-300,screen_coords.x-400) + time*step + step - distance(screen_coords.x,screen_coords.y,400,300) / 200,step*2) > step) {
			color = vec4(1,1,1,1);
		} else {
			color = vec4(0,0,0,1);
		}
		return color;
	}
]]
local pixelEffect

if love._version == '0.9.0' then
	pixelEffect = love.graphics.newShader(shaderCode)
elseif love._version == '0.8.0' then
	pixelEffect = love.graphics.newPixelEffect(shaderCode)
else
	error('Not 0.8.0 or 0.9.0')
end

function love.update(dt)
	t=t+dt*1.5
end

function love.draw()
	pixelEffect:send('time',t)
	pixelEffect:send('step',step)
	if love._version == '0.9.0' then
		love.graphics.setShader(pixelEffect)
	else
		love.graphics.setPixelEffect(pixelEffect)
	end
	love.graphics.rectangle('fill',0,0,800,600)
end
